Bug 1619458 (python-pyphi) - Review Request: python-pyphi - A library for computing integrated information
Summary: Review Request: python-pyphi - A library for computing integrated information
Keywords:
Status: CLOSED ERRATA
Alias: python-pyphi
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
Depends On: 1515053 python-pyemd
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-08-20 22:41 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-29 04:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 02:27:12 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-08-20 22:41:37 UTC
Spec URL: https://ankursinha.fedorapeople.org/pyphi/python-pyphi.spec
SRPM URL: https://ankursinha.fedorapeople.org/pyphi/python-pyphi-1.1.0-1.fc28.src.rpm

Description:
PyPhi is a Python library for computing integrated information, and the
associated quantities and objects.

If you use this code, please cite the manuscript:

Mayner WGP, Marshall W, Albantakis L, Findlay G, Marchman R, Tononi G (2017).
PyPhi: A toolbox for integrated information. arXiv:1712.09644 [q-bio.NC].

The manuscript is available at https://arxiv.org/abs/1712.09644.


Fedora Account System Username: ankursinha

Comment 1 Robert-André Mauchin 2018-08-21 13:01:11 UTC
 - %{python3_sitelib}/*

This is now forbidden: see https://pagure.io/packaging-committee/issue/782 You need to be more specific instead of using a glob.

 - License is wrong, it is GPLv3 https://github.com/wmayner/pyphi/blob/develop/LICENSE.md

 - Remove all the Python shebangs. See rpmlint output below

 - Package the missing deps needed for install



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
  Note: Package contains %{pythonX_site(lib|arch)}/* in %files
  See: https://pagure.io/packaging-committee/issue/782


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "LGPL (v3 or later)", "Unknown or
     generated". 222 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/python-pyphi/review-python-
     pyphi/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-pyphi-1.1.0-1.fc30.noarch.rpm
          python-pyphi-1.1.0-1.fc30.src.rpm
python3-pyphi.noarch: W: spelling-error %description -l en_US Mayner -> Mayer, Mainer, Manner
python3-pyphi.noarch: W: spelling-error %description -l en_US arXiv -> arrive
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/__about__.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/__about__.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/__init__.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/__init__.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/actual.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/actual.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/cache.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/cache.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/compute/__init__.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/compute/__init__.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/compute/distance.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/compute/distance.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/compute/network.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/compute/network.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/compute/parallel.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/compute/parallel.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/compute/subsystem.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/compute/subsystem.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/conf.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/conf.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/connectivity.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/connectivity.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/constants.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/constants.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/convert.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/convert.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/db.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/db.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/direction.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/direction.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/distance.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/distance.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/distribution.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/distribution.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/examples.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/examples.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/exceptions.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/exceptions.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/jsonify.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/jsonify.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/labels.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/labels.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/log.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/log.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/macro.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/macro.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/memory.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/memory.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/models/__init__.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/models/__init__.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/models/actual_causation.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/models/actual_causation.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/models/cmp.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/models/cmp.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/models/cuts.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/models/cuts.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/models/fmt.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/models/fmt.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/models/mechanism.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/models/mechanism.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/models/subsystem.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/models/subsystem.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/network.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/network.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/node.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/node.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/partition.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/partition.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/registry.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/registry.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/subsystem.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/subsystem.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/timescale.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/timescale.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/tpm.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/tpm.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/utils.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/utils.py 644 /usr/bin/env python3
python3-pyphi.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/pyphi/validate.py /usr/bin/env python3
python3-pyphi.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/pyphi/validate.py 644 /usr/bin/env python3
python-pyphi.src: W: spelling-error %description -l en_US Mayner -> Mayer, Mainer, Manner
python-pyphi.src: W: spelling-error %description -l en_US arXiv -> arrive
python-pyphi.src:38: W: macro-in-comment %{py3_dist
python-pyphi.src: E: specfile-error warning: Macro expanded in comment on line 38: %{py3_dist pyemd}
2 packages and 0 specfiles checked; 81 errors, 5 warnings.

Comment 2 Ankur Sinha (FranciscoD) 2018-08-22 21:12:39 UTC
Thanks. I'll get back to this once the deps are packaged.

Comment 3 Zbigniew Jędrzejewski-Szmek 2018-11-14 08:28:01 UTC
asv is in updates. Are there any other deps missing?

Comment 4 Ankur Sinha (FranciscoD) 2018-11-14 11:47:56 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> asv is in updates. Are there any other deps missing?

Requires pyemd from the looks of it to build, and a bunch of other "Requires" that aren't in Fedora yet either. Working on them one at a time. :(

Comment 5 Ankur Sinha (FranciscoD) 2018-11-14 13:02:31 UTC
pyemd is ready for review. I double checked, and it is the last requirement for pyphi.

Comment 6 Robert-André Mauchin 2018-11-18 18:55:16 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> pyemd is ready for review. I double checked, and it is the last requirement
> for pyphi.

Could you update the SPEC wrt my comments then?

Comment 7 Ankur Sinha (FranciscoD) 2018-11-19 20:45:25 UTC
(In reply to Robert-André Mauchin from comment #6)
> (In reply to Ankur Sinha (FranciscoD) from comment #5)
> > pyemd is ready for review. I double checked, and it is the last requirement
> > for pyphi.
> 
> Could you update the SPEC wrt my comments then?

Done! Updated spec/srpm:

https://ankursinha.fedorapeople.org/python-pyphi/python-pyphi.spec

https://ankursinha.fedorapeople.org/python-pyphi/python-pyphi-1.1.0-2.fc29.src.rpm

Cheers!
Ankur

Comment 8 Robert-André Mauchin 2018-11-19 21:50:08 UTC
It still misses a dependency at install time:

DEBUG util.py:490:  BUILDSTDERR: Error: 
DEBUG util.py:490:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:490:  BUILDSTDERR:   - nothing provides python3.7dist(tqdm) >= 4.20.0 needed by python3-pyphi-1.1.0-2.fc30.noarch

Only 4.19.6 is packaged for Fedora. Could you send a PR to update it? https://src.fedoraproject.org/rpms/python-tqdm I'll try to bother Igor on IRC.


This package is approved.

Comment 9 Ankur Sinha (FranciscoD) 2018-11-19 23:09:46 UTC
(In reply to Robert-André Mauchin from comment #8)
> It still misses a dependency at install time:
> 
> DEBUG util.py:490:  BUILDSTDERR: Error: 
> DEBUG util.py:490:  BUILDSTDERR:  Problem: conflicting requests
> DEBUG util.py:490:  BUILDSTDERR:   - nothing provides python3.7dist(tqdm) >=
> 4.20.0 needed by python3-pyphi-1.1.0-2.fc30.noarch
> 
> Only 4.19.6 is packaged for Fedora. Could you send a PR to update it?
> https://src.fedoraproject.org/rpms/python-tqdm I'll try to bother Igor on
> IRC.

PR here: https://src.fedoraproject.org/rpms/python-tqdm/pull-request/1#


> 
> This package is approved.

Thanks. SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/8919

Comment 10 Gwyn Ciesla 2018-11-20 14:28:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyphi

Comment 11 Fedora Update System 2018-11-20 16:16:54 UTC
python-pyphi-1.1.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8dd8701a6

Comment 12 Fedora Update System 2018-11-20 16:16:59 UTC
python-pyphi-1.1.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a352df747a

Comment 13 Fedora Update System 2018-11-21 04:31:58 UTC
python-pyphi-1.1.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c8dd8701a6

Comment 14 Fedora Update System 2018-11-21 05:11:17 UTC
python-pyphi-1.1.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a352df747a

Comment 15 Fedora Update System 2018-11-29 02:27:12 UTC
python-pyphi-1.1.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-11-29 04:58:03 UTC
python-pyphi-1.1.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.